## Class processing_instruction

zeep::xml::processing_instruction — A node containing a XML processing instruction (like e.g. <?php ?>)

## Synopsis

    // In header: <zeep/xml/node.hpp>

    class processing_instruction : public  {
    public:
      // construct/copy/destruct
      ();
      (processing_instruction &&) ;
      (, );

      // public member functions
       () ;
       () ;
       ();
       (node *) ;
      node * () ;
      node * ();

      // protected member functions
       (, format_info) ;
    };

## Description

### `processing_instruction` public construct/copy/destruct

1.     ();

2.     (processing_instruction && pi) ;

3.     ( target,  text);

   constructor with parameters

   This constructs a processing instruction with the specified parameters

   Parameters:

   `target` | The target, this will follow the <? characters, e.g. `php` will generate <?php ... ?>
   `text` | The text inside this node, e.g. the PHP code.

### `processing_instruction` public member functions

1.      () ;

   return the qname which is the same as the target in this case

2.      () ;

   return the target

3.      ( target);

   set the target

4.      (node * n) ;

   compare nodes for equality

5.     node * () ;

   return an exact copy of this node, including all data in sub nodes

6.     node * ();

   return a copy of this node, including all data in sub nodes, but in contrast with clone the data is moved from this node to the cloned node. This node will be empty afterwards.

### `processing_instruction` protected member functions

1.      ( os, format_info fmt) ;

   low level routine for writing out XML

   This method is usually called by operator<<(std::ostream&, zeep::xml::document&)